Index: /code/branches/wagnis_HS18/data/levels/Wagnis.oxw
===================================================================
--- /code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12172)
+++ /code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12173)
@@ -1,4 +1,4 @@
 <LevelInfo
- name = "Wagnis_testlevel"
+ name = "Wagnis"
  description = "A clone of the iconic Risk."
  tags = ""
@@ -32,44 +32,53 @@
 
   <Provinces>
-
-    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,28,8" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="2" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,39,4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="3" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,34,17" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="4" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,46,14" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
+    <!-- SA -->
+    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" position="0,28,8" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.293, 0.082"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="2" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" position="0,39,4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.293, 0.082"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="3" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" position="0,34,17" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.293, 0.082"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="4" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" position="0,46,14" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.293, 0.082"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+
+
+
+    <!-- NA -->
     <WagnisProvince ID="5" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,61,8" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -81,4 +90,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -90,4 +100,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -99,4 +110,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -108,4 +120,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -117,4 +130,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -126,4 +140,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -135,4 +150,5 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
       </attached>
       <collisionShapes>
@@ -144,272 +160,323 @@
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="14" position="0,58,62" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="15" position="0,50,57" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="16" position="0,53,74" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="17" position="0,40,72" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="18" position="0,45,86" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="19" position="0,39,58" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="20" position="0,32,81" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="21" position="0,20,45" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="22" position="0,23,62" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="23" position="0,16,73" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="24" position="0,10,50" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="25" position="0,4,61" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="26" position="0,5,76" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="27" position="0,81,76" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="28" position="0,82,103" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="29" position="0,69,112" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="30" position="0,72,95" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="31" position="0,70,79" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="32" position="0,60,93" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="33" position="0,52,105" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="34" position="0,50,121" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="35" position="0,41,105" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="36" position="0,30,101" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="37" position="0,33,116" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="38" position="0,35,127" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="39" position="0,22,131" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="40" position="0,13,121" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="41" position="0,13,141" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="42" position="0,5,130" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="1000" radarname="continue" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,75,137" pitch=90 rotationrate="0" rotationaxis="0,0,0">
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+
+
+
+
+    <!-- EU -->
+    <WagnisProvince ID="14" position="0,58,62" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="15" position="0,50,57" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="16" position="0,53,74" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="17" position="0,40,72" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="18" position="0,45,86" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="19" position="0,39,58" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="20" position="0,32,81" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="4" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+
+
+
+
+    <!-- AF -->
+    <WagnisProvince ID="21" position="0,20,45" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="22" position="0,23,62" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="23" position="0,16,73" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="24" position="0,10,50" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="25" position="0,4,61" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="26" position="0,5,76" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="2" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+
+
+
+
+
+    <!-- AS -->
+    <WagnisProvince ID="27" position="0,81,76" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="28" position="0,82,103" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="29" position="0,69,112" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="30" position="0,72,95" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="31" position="0,70,79" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="32" position="0,60,93" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="33" position="0,52,105" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="34" position="0,50,121" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="35" position="0,41,105" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="36" position="0,30,101" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="37" position="0,33,116" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="38" position="0,35,127" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+
+
+
+
+    <!-- AU -->
+    <WagnisProvince ID="39" position="0,22,131" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="6" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.695,0.085,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="40" position="0,13,121" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="6" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.695,0.085,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="41" position="0,13,141" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="6" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.695,0.085,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="42" position="0,5,130" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="6" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+        <Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.695,0.085,0.804"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="1000" radarname="continue" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="0" position="0,75,137" pitch=90 rotationrate="0" rotationaxis="0,0,0">
       <attached>
         <Model position="0,0,0" mesh="broke-satellite.mesh" scale3D="3,3,3" />
@@ -424,4 +491,30 @@
 </WagnisGameboard>
 
+<Billboard position="0,27,32" amplitude=1 material="Wagnis/Arrow" rotation="0.4" colour="1,1,1"/> <!--3,21-->
+<Billboard position="0,53.5,11" amplitude=1 material="Wagnis/Arrow" rotation="1.1" colour="1,1,1"/> <!--4,5-->
+<Billboard position="0,29.5,52" amplitude=1 material="Wagnis/Arrow" rotation="2.2" colour="1,1,1"/> <!--19,21-->
+<Billboard position="0,28,62" amplitude=1 material="Wagnis/Arrow" rotation="2.8" colour="1,1,1"/> <!--20,21-->
+<Billboard position="0,27.5,71.5" amplitude=1 material="Wagnis/Arrow" rotation="2.7" colour="1,1,1"/> <!--20,22-->
+<Billboard position="0,26.5,81.5" amplitude=1 material="Wagnis/Arrow" rotation="3" colour="1,1,1"/> <!--22,36-->
+<Billboard position="0,23,87" amplitude=1 material="Wagnis/Arrow" rotation="2.7" colour="1,1,1"/> <!--23,36-->
+<Billboard position="0,81.5,64" amplitude=1 material="Wagnis/Arrow" rotation="0" colour="1,1,1"/> <!--13,27-->
+<Billboard position="0,81.5,38.5" amplitude=1 material="Wagnis/Arrow" rotation="-0.1" colour="1,1,1"/> <!--12,13-->
+<Billboard position="0,76,96" amplitude=1 material="Wagnis/Arrow" rotation="0.3" colour="1,1,1"/> <!--27,29-->
+<Billboard position="0,62,51.5" amplitude=1 material="Wagnis/Arrow" rotation="0.2" colour="1,1,1"/> <!--10,14-->
+<Billboard position="0,31,91" amplitude=1 material="Wagnis/Arrow" rotation="0.1" colour="1,1,1"/> <!--20,36-->
+<Billboard position="0,43,95.5" amplitude=1 material="Wagnis/Arrow" rotation="0.1" colour="1,1,1"/> <!--18,35-->
+<Billboard position="0,37.5,93.5" amplitude=1 material="Wagnis/Arrow" rotation="0.7" colour="1,1,1"/> <!--18,36-->
+<Billboard position="0,48.5,95.5" amplitude=1 material="Wagnis/Arrow" rotation="-0.5" colour="1,1,1"/> <!--18,33-->
+
+
+
+<!--
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.8125, 0.082"/>
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.926, 0.293, 0.082"/>
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.515,0.199,0.054"/>
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.085,0.457,0.804"/>
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.256,0.804,0.085"/>
+<Billboard position="0,0,0" amplitude=1 material="Wagnis/Background" colour="0.695,0.085,0.804"/>
+-->
     
   </Scene>
Index: /code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw
===================================================================
--- /code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12172)
+++ /code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12173)
@@ -122,4 +122,8 @@
 </WagnisGameboard>
 
+<Billboard position="0,45,75" amplitude=1 material="Wagnis/Background" colour="1,1,1">
+
+</Billboard>
+
     
   </Scene>
Index: /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12172)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12173)
@@ -18,5 +18,5 @@
     this->initial_reinforcements_left = 2; //changed here
 
-    int n = 6;
+    int n = 4;
     for(int i = 0;i < n;i++){
         WagnisPlayer* p = new WagnisPlayer(context);
@@ -74,5 +74,5 @@
                 //Still empty provinces left
 
-                if(this->active_player < this->players.size()){
+                if(this->active_player < (int)this->players.size()){
                     this->active_player++;
                 }else{
@@ -101,5 +101,5 @@
             if(this->initial_reinforcements_left > 0){
                 player->setActive(false);
-                if(this->active_player == this->players.size()){
+                if(this->active_player == (int)this->players.size()){
                     //Last player finished this round of initial troops.
                     this->initial_reinforcements_left -= 1;
@@ -142,5 +142,5 @@
             int tc;
             do{
-                if(this->active_player < this->players.size()){
+                if(this->active_player < (int)this->players.size()){
                     this->active_player++;
                 }else{
Index: /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12172)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12173)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Authors:
+ *  
+ *   Co-authors:
+ *      ...
+ *
+ */
 
 
